# $Revision: 1.17 $, $Date: 2008/07/27 22:44:56 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SSH
Summary:	Net::SSH Perl module
Summary(cs.UTF-8):	Modul Net::SSH pro Perl
Summary(da.UTF-8):	Perlmodul Net::SSH
Summary(de.UTF-8):	Net::SSH Perl Modul
Summary(es.UTF-8):	Módulo de Perl Net::SSH
Summary(fr.UTF-8):	Module Perl Net::SSH
Summary(it.UTF-8):	Modulo di Perl Net::SSH
Summary(ja.UTF-8):	Net::SSH Perl モジュール
Summary(ko.UTF-8):	Net::SSH 펄 모줄
Summary(nb.UTF-8):	Perlmodul Net::SSH
Summary(pl.UTF-8):	Moduł Perla Net::SSH
Summary(pt.UTF-8):	Módulo de Perl Net::SSH
Summary(pt_BR.UTF-8):	Módulo Perl Net::SSH
Summary(ru.UTF-8):	Модуль для Perl Net::SSH
Summary(sv.UTF-8):	Net::SSH Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Net::SSH
Summary(zh_CN.UTF-8):	Net::SSH Perl 模块
Name:		perl-Net-SSH
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c25a38f0b1d1b126cfb5dc231ac269da
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::SSH - perl wrapper for system 'ssh' command

%description -l pl.UTF-8
Net::SSH - interfejs do systemowego polecenia 'ssh'

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/SSH.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SSH.spec,v $
Revision 1.17  2008/07/27 22:44:56  arekm
- release 2

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:37  paladine
- formatting

Revision 1.13  2004/05/06 18:20:46  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.11  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.10  2004/02/16 22:03:24  adamg
- updated to 0.08
- new style bconds

Revision 1.9  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:51  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:37:18  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/10/07 15:18:01  zagrodzki
- initial rev.

